package com.inspect.partrolresult.domain;

import lombok.Getter;
import lombok.Setter;

import java.util.Objects;

@Setter
@Getter
public class BasePointAreaInfo {
    private String deviceId;
    private String patrolPointId;
    private String patrolPointName;
    private String deviceName;
    private String mainName;
    private String jgName;
    private String areaName;
    private String channelId;
    private String eqpBookId;

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        BasePointAreaInfo that = (BasePointAreaInfo) object;
        return Objects.equals(patrolPointId, that.patrolPointId) && Objects.equals(patrolPointName, that.patrolPointName) && Objects.equals(deviceName, that.deviceName) && Objects.equals(mainName, that.mainName) && Objects.equals(jgName, that.jgName) && Objects.equals(areaName, that.areaName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(patrolPointId, patrolPointName, deviceName, mainName, jgName, areaName);
    }

    @Override
    public String toString() {
        return "BasePointAreaInfo{" +
                "patrolPointId='" + patrolPointId + '\'' +
                ", patrolPointName='" + patrolPointName + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", mainName='" + mainName + '\'' +
                ", jgName='" + jgName + '\'' +
                ", areaName='" + areaName + '\'' +
                '}';
    }
}
